Page MenuHomePhabricator

Remove role::puppet::self and related support code
Closed, ResolvedPublic

Description

Currently only ONE VM has role::puppet::self applied:

wtui-new.wikidata-topicmaps.eqiad.wmflabs

Not only that, but puppet is broken on that host and has been for quite some time. I've contacted the creator of that VM but I suspect that it is abandoned.

So, with that, we can finally remove the puppet code that supports role::puppet::self, and we should do so before someone accidentally re-applied it someplace.

Details

Related Gerrit Patches:
operations/puppet : productionremove 'puppet' module
operations/puppet : productionremove role::puppet::self
operations/puppet : productionremove role::toollabs::puppetmaster and toollabs::puppetmaster

Event Timeline

Andrew created this task.Dec 13 2017, 6:08 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 13 2017, 6:08 PM

Change 411614 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] remove role::toollabs::puppetmaster and toollabs::puppetmaster

https://gerrit.wikimedia.org/r/411614

Change 411615 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] remove role::puppet::self

https://gerrit.wikimedia.org/r/411615

Change 411616 had a related patch set uploaded (by Andrew Bogott; owner: Andrew Bogott):
[operations/puppet@production] remove 'puppet' module

https://gerrit.wikimedia.org/r/411616

Change 411614 merged by Andrew Bogott:
[operations/puppet@production] remove role::toollabs::puppetmaster and toollabs::puppetmaster

https://gerrit.wikimedia.org/r/411614

Change 411615 merged by Andrew Bogott:
[operations/puppet@production] remove role::puppet::self

https://gerrit.wikimedia.org/r/411615

Change 411616 merged by Andrew Bogott:
[operations/puppet@production] remove 'puppet' module

https://gerrit.wikimedia.org/r/411616

Andrew closed this task as Resolved.Mar 21 2018, 7:27 PM
Andrew claimed this task.
bd808 moved this task from Inbox to Done on the cloud-services-team (Kanban) board.May 6 2018, 6:49 PM